%define ver_major 2.32

Name: gnome-devel-docs
Version: %ver_major.0
Release: alt1

Summary: General GNOME Developper Documentation
License: %fdl
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

BuildArch: noarch

Obsoletes: gnome-users-guide
Provides: gnome-users-guide
Obsoletes: gnome2-user-docs
Provides: gnome2-user-docs

PreReq: librarian

BuildPreReq: rpm-build-gnome rpm-build-licenses
BuildPreReq: rpm >= 4.0.4-alt14
BuildPreReq: gnome-doc-utils >= 0.5.6

BuildRequires: xsltproc librarian

%description
This package contains documents which are targeted for GNOME developers.
It provides the Platform Overview, Human Interface Guidelines, the
Integration Guide, the Documentation Style Guide, the Accessibility
Guide and the Handbook of Writing Software Documentation.

%prep
%setup

%build
%configure \
    --disable-scrollkeeper

%make_build

%install
# fix permissions
chmod 0644 */*/*.xml

%make_install DESTDIR=%buildroot install

%find_lang --with-gnome --output=%name.lang gdp-handbook gdp-style-guide hig-book integration-guide platform-overview optimization-guide accessibility-devel-guide

%files -f %name.lang
%doc AUTHORS README ChangeLog NEWS


%changelog
* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Sun May 02 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Wed Apr 07 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Fri Nov 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Tue May 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Mon Dec 15 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- first build for Sisyphus.

